public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jonas Stein" <jstein@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/igal/
Date: Sat, 12 Mar 2022 12:16:51 +0000 (UTC)	[thread overview]
Message-ID: <1647087397.f706496eebf4cb11665ffb79fec28a2b0052fe0b.jstein@gentoo> (raw)

commit:     f706496eebf4cb11665ffb79fec28a2b0052fe0b
Author:     Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 12 12:14:03 2022 +0000
Commit:     Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Sat Mar 12 12:16:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f706496e

media-gfx/igal: Version bump to 3.1

Version bump to 3.1 and
EAPI=8 and Cleanup

Closes: https://bugs.gentoo.org/453814
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>

 media-gfx/igal/Manifest        |  1 +
 media-gfx/igal/igal-3.1.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/media-gfx/igal/Manifest b/media-gfx/igal/Manifest
index d355cbc32460..69d88eb11a25 100644
--- a/media-gfx/igal/Manifest
+++ b/media-gfx/igal/Manifest
@@ -1 +1,2 @@
+DIST igal-3.1.tar.gz 29372 BLAKE2B bb83a13b082d4d94b0ff186ef34e9c670b5a49ba74ccd40675db6820931132697b886e58db9da7e620322fdb29a59437acd817d6ef69ea4cebdaa408d1fbe567 SHA512 28f036a5450d05c2d795355f52e0e3f5720d94e5e9d82d4b6bd53ff8ce5ea08352e3ec85ddbcca754e986a06fd205b1667b102981484c783add4496c50c102fe
 DIST igal2-2.0.tar.gz 27206 BLAKE2B 64683d32d0fc3c16d4e27f6dcd1acb3d1e1b55de8e4362065bda9b9b27e6d54409e115af46da2505dfe79f00e5004ebfb395dc4fe71d91b557c43a0c4d4f01e1 SHA512 663bc4f05fbb226c55c3304126ceb480f050715499a2849567ad1d33da568ed02f85b64ad176f6e1cb1c99c8f50650676a7323f0d0497880802a245274a77a0f

diff --git a/media-gfx/igal/igal-3.1.ebuild b/media-gfx/igal/igal-3.1.ebuild
new file mode 100644
index 000000000000..6323fc514432
--- /dev/null
+++ b/media-gfx/igal/igal-3.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Static HTML image gallery generator"
+HOMEPAGE="https://igal.trexler.at/"
+SRC_URI="https://github.com/solbu/${PN}2/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}2-${PV}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+RDEPEND="
+	dev-lang/perl
+	virtual/imagemagick-tools
+	virtual/jpeg"
+
+src_prepare() {
+	default
+	sed -i -e "s|/usr/local/lib/igal2|${EPREFIX}/usr/share/igal2|g" \
+		igal2 igal2.1 || die
+	sed -i -e "s|/usr/local/bin/igal2|exec ${EPREFIX}/usr/bin/igal2|" \
+		-e "1s|^#.*|#!${EPREFIX}/bin/bash|" \
+		utilities/igal2.sh || die
+}
+
+src_compile() { :; }
+
+src_install() {
+	dobin igal2 utilities/igal2.sh
+	dosym igal2 /usr/bin/igal
+	doman igal2.1
+	dodoc ChangeLog README
+	insinto /usr/share/igal2
+	doins *.html tile.png igal2.css
+}


             reply	other threads:[~2022-03-12 12:16 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-03-12 12:16 Jonas Stein [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-08  8:53 [gentoo-commits] repo/gentoo:master commit in: media-gfx/igal/ Jonas Stein
2022-12-21 22:47 Sam James
2022-12-21 22:47 Sam James
2022-12-18 20:32 Arthur Zamarin
2022-12-18 12:45 Sam James
2022-12-18 12:45 Sam James
2022-12-18 12:11 Sam James
2022-12-18 12:11 Sam James
2018-10-27 15:57 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1647087397.f706496eebf4cb11665ffb79fec28a2b0052fe0b.jstein@gentoo \
    --to=jstein@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox